\documentclass[a4paper,10pt]{article}
\usepackage{latexsym}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{fancybox}
\pagestyle{plain}

\begin{document}

Analysis of AQM queues wi th queue size based packet drop
\begin{center}
\includegraphics[width=99.57mm,height=10.16mm]{./Analysis_of_AQM_queues_with_queue_size_based_packet_dropping_images/image001.eps}
\end{center}
569

3. Queue size at departure epochs

Let $X_{n}, n=1$, 2, . . . , be the queue size left behind by the n-th departingjob. We always have $X_{n} <b.$

In this section, we are interested in finding the statio- nary distribution of $X_{n}$, namely,
\begin{center}
$\displaystyle \pi_{k}=\lim_{n\rightarrow\infty}\mathrm{P}(X_{n}=k)\ ,\ 0\leq k\leq b-1$.   (2)
\end{center}
As the sequence $X_{n}$ is an ergodic Markov chain, we can find $\pi_{k}$ by solving the following system of equations:

$\left\{\begin{array}{ll}
\pi_{k}=\sum_{j=0}^{b-1}\pi_{j}p_{j,k}, & 0\leq k\leq b-1,\\
\sum_{j=0}^{b-1}\pi_{j}\ =1, & 
\end{array}\right.$

(3)

where

$p_{j,k}=\mathrm{P} (X_{n+1}\ =k|X_{n}=j)$ , $0\leq j, k\leq b-1$, (4)

are the transition probabilities for chain $X_{n}$. Therefo- re, the task is completed by finding probabilities $p_{j,k}.$ To accomplish that, we introduce the following conven- tion: $Q_{n,k}(u)$ denotes the probability that in time interval $(0,\ u]$ exactly $k$ jobs are let into the system, assuming that $X(0)=n$ and the first departure time is after $u.$

Note that this is not a trivial thinning of the Poisson process. The first arrivingjob is blocked with probability $d_{n}$, but the second one is blocked either with probability $d_{n+1}$ (if the previous one was accepted) or with probabi- lity $d_{n}$ (if the previous one was blocked). This gets more complicated with subsequent arrivals, according to the ac- ceptance and rejection history.

If we denote by $a_{n,k}$ the probability that $k$ jobs are let into the system during the service time, we have
\begin{center}
$a_{n,k}=\displaystyle \int_{0}^{\infty}Q_{n,k}(u)\mathrm{d}F(u)$ ,   (5)
\end{center}
and the following representation for $p_{j,k}$ can be obtained:

$p_{j,k}=\left\{\begin{array}{l}
a_{1,k}\ \mathrm{i}\mathrm{f}\ j=0,\ 0\leq k\leq b-1,\\
a_{j,k-j+1}\ \mathrm{i}\mathrm{f}\ 1\leq j\leq b-1,\\
j-1\leq k\leq b-1,\\
0\ \mathrm{o}\mathrm{t}\mathrm{h}\mathrm{e}\mathrm{r}\mathrm{w}\mathrm{i}\mathrm{s}\mathrm{e}.
\end{array}\right.$

(6) We can see now how the analysis of the $M/G/1/b(AQM)$ queue differs from that of the classic $M/G/1/b$ queue (see, for instance, Takagi, 1993, p. 200 . According to classic theory, the coefficients (5) depend only on $k$ and do not depend on the initial queue size. What is more, here they have a much more complex form, depending on $Q_{n,k}(u)$ . In classic theory, $Q_{n,k}(u)$ reduces to a simple Poisson formula.

If we can compute $Q_{n,k}(u)$ , we shall be able to com- pute probabilities $p_{j,k}$. Therefore, the remaining part of this section is devoted to finding $Q_{n,k}(u)$ . Denoting by $q_{n,k}(s)$ the Laplace transform of $Q_{n,k}(u)$ , namely,
\begin{center}
$q_{n,k}(s)=\displaystyle \int_{0}^{\infty}e^{-su}Q_{n,k}(u)$ du,   (7)
\end{center}
we will now prove the following theorem.

Theorem 1. {\it In the MlGlllb}({\it AQM}) {\it system the following holds true}:
$$
\prod^{k-1}c_{n+i}
$$
\begin{center}
$q_{n,k}(s)=\displaystyle \frac{i=0}{k}$ , $n\geq 0, k\geq 0$,   (8)
$$
\prod_{i=0}(s+c_{n+i})
$$
\end{center}
{\it where}
\begin{center}
$c_{n}=\lambda(1-d_{n})$ .   (9)
\end{center}
({\it In order to} -{\it implip the notation, we use a convention sta}- {\it ting that} $\displaystyle \prod_{i=0}^{-1}=1.$)

{\it Proof}. Using the total probability formula with respect to the first arrival time, we obtain the following system of equations for $n\geq 0, k>0$:

$Q_{n,k}(u)=\displaystyle \int_{0}^{u}\lambda e^{-\lambda v}(d_{n}Q_{n,k}(u-v)$
\begin{center}
$+(1-d_{n})Q_{n+1,k-1}(u-v))$ dv.   (10)
\end{center}
The first summand under the integral corresponds to the case where the first arriving job is dropped and the queue size remains $n$. The second summand corresponds to the case where the first arrivingjob is accepted and the new queue size is $n+1.$

Similarly, using the total probability formula with re- spect to the first arrival time, for $n\geq 0, k=0$ we get

$Q_{n,0}(u)=\displaystyle \int_{0}^{u}\lambda e^{-\lambda v}d_{n}Q_{n,0}(u-v)\mathrm{d}v+e^{-\lambda u}$. (11)

The first summand corresponds to the situation where the first arrivingjob is dropped and the queue size rema- ins empty, while the second summand corresponds to the situation where there are no arrivals by the time $u.$

Applying Laplace transforms to (10) and (11), we ob- tain

$q_{n,k}(s)=d_{n}q_{n,k}(s)\displaystyle \frac{\lambda}{s+\lambda}$
$$
+(1-d_{n})q_{n+1,k-1}(s)\frac{\lambda}{s+\lambda},\ n\geq 0,\ k>0,
$$
(12)
\end{document}
